Subject: Re: [bug#30960] [PATCH 0/4] Switch to font-build-system

From: ng0 <[email-masked]>
Date: Tue, 27 Mar 2018 14:30:28 +0000

Arun Isaac transcribed 1.3K bytes:
> 
> > phase `install-license-files' succeeded after 0.0 seconds
> > starting phase `reset-gzip-timestamps'
> > find-files: /gnu/store/8zr56l7gh1rh76l8gdyy2j5hn84r56nv-font-lato-2.010: No such file or directory
> > phase `reset-gzip-timestamps' succeeded after 0.0 seconds
> > starting phase `compress-documentation'
> > phase `compress-documentation' succeeded after 0.0 seconds
> > builder for `/gnu/store/85xg1bvd3xq79y41f7rvasy73jzpkcba-font-lato-2.010.drv' failed to produce output path `/gnu/store/8zr56l7gh1rh76l8gdyy2j5hn84r56nv-font-lato-2.010'
> > @ build-failed /gnu/store/85xg1bvd3xq79y41f7rvasy73jzpkcba-font-lato-2.010.drv - 1 builder for `/gnu/store/85xg1bvd3xq79y41f7rvasy73jzpkcba-font-lato-2.010.drv' failed to produce output path `/gnu/store/8zr56l7gh1rh76l8gdyy2j5hn84r56nv-font-lato-2.010'
> > guix build: error: build failed: build of `/gnu/store/85xg1bvd3xq79y41f7rvasy73jzpkcba-font-lato-2.010.drv' failed
> >
> > Which could be what I experienced when I first tried to build it with the font-build-system
> > and then switched to what it uses now in master.
> 
> I tried building font-lato again on my machine, and it worked. I suspect
> this problem you are facing is due to the __MACOSX folders in the zip

Out of scope of this patchset, but:
Those aren't really necessary in the use. Couldn't we just instruct the font-build-system
to ignore and/or delete them?

> archive. I'm sending in a new patchset with url-fetch/zipbomb instead of
> url-fetch. Let me know if it works.
>
> Thanks.